#include <iostream>

#include "TFile.h"
#include "TTree.h"
#include "TRandom.h"
#include "TSystem.h"

#if defined(__CINT__) && !defined(__MAKECINT__)
#include "./libEvtest.so"
#else
#include <iostream>
#include "Evtest.h"
#endif

#define __MY_MAIN__

using namespace std;




Int_t Event::Divis=16;
Double_t fitfunc(Double_t *x, Double_t *par);




int main()
{
  const Int_t NUM=2;
  Event *event[NUM];
  

  for(Int_t i=0;i<NUM;i++)
 {
   event[i] = new Event();
 }

  /* Start declaring the tree */ 

  TFile *File;
  TTree *tree;

  File = new TFile("ttest.root","RECREATE");
  tree = new TTree("tree","Test");
  cout << " creating root file" << endl;
     

  //////////////////////start event loop.  
  for(Int_t i=0;i<NUM;i++)
    {
      
      tree->Branch(Form("branch nr%d",i), "Event", &event[i], 32000, 99);
      event[i]->fithisto();
      event[i]->Xo=event[i]->histo->GetMean();
      event[i]->Chi_sq=event[i]->func->GetChisquare();
    } 



  /////////////////// write to tree.
 for(Int_t i=0;i<NUM;i++)
   {
     tree->Branch(Form("branch nr%d",i), "Event", &event[i], 32000, 99);
   }


 tree->Fill();
 tree->Write();
 File->Close();
 
 
 
 return 0;
}





Double_t fitfunc(Double_t *x, Double_t *par)
{
  return par[0];
}
